org.apache.felix.ipojo.manipulator.metadata.annotation

## Class MethodMetadataCollector

- java.lang.Object
- - org.objectweb.asm.MethodVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.MethodMetadataCollector

    public class MethodMetadataCollector
    extends org.objectweb.asm.MethodVisitor

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.objectweb.asm.MethodVisitor

`api, mv`

### Constructor Summary

Constructors
Constructor and Description
`MethodMetadataCollector(ComponentWorkbench workbench, org.objectweb.asm.tree.MethodNode node, Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc, boolean visible)` Visit method annotations.
`org.objectweb.asm.AnnotationVisitor` `visitParameterAnnotation(int index, String desc, boolean visible)` Visit a parameter annotation.

### Methods inherited from class org.objectweb.asm.MethodVisitor

`getDelegate, visitAnnotableParameterCount, visitAnnotationDefault, visitAttribute, visitCode, visitEnd, visitFieldInsn, visitFrame, visitIincInsn, visitInsn, visitInsnAnnotation, visitIntInsn, visitInvokeDynamicInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLocalVariableAnnotation, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMethodInsn, visitMultiANewArrayInsn, visitParameter, visitTableSwitchInsn, visitTryCatchAnnotation, visitTryCatchBlock, visitTypeAnnotation, visitTypeInsn, visitVarInsn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodMetadataCollector

    public MethodMetadataCollector(ComponentWorkbench workbench,
                                   org.objectweb.asm.tree.MethodNode node,
                                   Reporter reporter)

### Method Detail

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                               boolean visible)

Visit method annotations.

Overrides:
  `visitAnnotation` in class `org.objectweb.asm.MethodVisitor`
Parameters:
  `desc` - : annotation name.
  `visible` - : is the annotation visible at runtime.
Returns:
  the visitor paring the visited annotation.
See Also:
  `MethodVisitor.visitAnnotation(java.lang.String, boolean)`

#### visitParameterAnnotation

    public org.objectweb.asm.AnnotationVisitor visitParameterAnnotation(int index,
                                                                        String desc,
                                                                        boolean visible)

Visit a parameter annotation.

Overrides:
  `visitParameterAnnotation` in class `org.objectweb.asm.MethodVisitor`
See Also:
  `MethodVisitor.visitParameterAnnotation(int, java.lang.String, boolean)`